<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for  - Erzeugung-Überleitungsdokument </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario htd -->

   <!-- CDAClinicalDocumentStructuredBody2 -->
   <include href="include/1.2.276.0.76.10.1023-2017-03-14T000000.sch"/>
   <include href="include/1.2.276.0.76.10.1023-2017-03-14T000000-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- heilundhilfsmittel -->
   <include href="include/1.2.276.0.76.10.3080-2017-04-06T000000.sch"/>
   <!-- Diagnosen -->
   <include href="include/1.2.276.0.76.10.3081-2017-04-24T000000.sch"/>
   <!-- Verbrauchsartikel -->
   <include href="include/1.2.276.0.76.10.3082-2017-04-24T000000.sch"/>
   <!-- therapieplanbeatmung -->
   <include href="include/1.2.276.0.76.10.3083-2017-04-24T000000.sch"/>
   <!-- Vitalparameter -->
   <include href="include/1.2.276.0.76.10.3084-2017-04-24T000000.sch"/>
   <!-- Medikation -->
   <include href="include/1.2.276.0.76.10.3085-2017-04-24T000000.sch"/>
   <!-- Bilanzierung -->
   <include href="include/1.2.276.0.76.10.3086-2017-04-24T000000.sch"/>
   <!-- Laborparameter -->
   <include href="include/1.2.276.0.76.10.3087-2017-04-24T000000.sch"/>
   <!-- pflegerischemassnahmen -->
   <include href="include/1.2.276.0.76.10.3088-2017-04-24T000000.sch"/>
   <!-- Beatmungsparametergemessen -->
   <include href="include/1.2.276.0.76.10.3089-2017-04-28T000000.sch"/>
   <!-- Beatmungsparametereinstellungen -->
   <include href="include/1.2.276.0.76.10.3090-2017-04-28T000000.sch"/>
   <!-- Alarmkriterien -->
   <include href="include/1.2.276.0.76.10.3091-2017-04-28T000000.sch"/>
   <!-- Alarmereignisse -->
   <include href="include/1.2.276.0.76.10.3092-2017-04-28T000000.sch"/>
   <!-- Spezielletherapeutischeaspekte -->
   <include href="include/1.2.276.0.76.10.3094-2017-05-01T000000.sch"/>
   <!-- Pflegebericht -->
   <include href="include/1.2.276.0.76.10.3095-2017-05-01T000000.sch"/>
   <!-- Beatmungsgeraetecheck -->
   <include href="include/1.2.276.0.76.10.3096-2017-05-01T000000.sch"/>
   <!-- Medizingeraete -->
   <include href="include/1.2.276.0.76.10.3097-2017-05-10T000000.sch"/>
   <!-- GrundEinweisung -->
   <include href="include/1.2.276.0.76.10.3098-2017-05-26T000000.sch"/>
   <!-- DurchgefuehrteMassnahmen -->
   <include href="include/1.2.276.0.76.10.3099-2017-05-26T000000.sch"/>
   <!-- AktuelleVersorgung -->
   <include href="include/1.2.276.0.76.10.3101-2017-06-01T000000.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.10.4022-2014-11-01T000000.sch"/>
   <!-- MedicationStatementSplitDose -->
   <include href="include/1.2.276.0.76.10.4023-2014-11-01T000000.sch"/>
   <!-- MedicationStatementDoseInstruction -->
   <include href="include/1.2.276.0.76.10.4024-2014-11-01T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/1.2.276.0.76.10.4025-2014-11-01T000000.sch"/>
   <!-- PatientInstructions -->
   <include href="include/1.2.276.0.76.10.4026-2014-11-01T000000.sch"/>
   <!-- Reasonformedication -->
   <include href="include/1.2.276.0.76.10.4027-2016-01-31T000000.sch"/>
   <!-- RelatedPrescription -->
   <include href="include/1.2.276.0.76.10.4028-2014-12-21T000000.sch"/>
   <!-- RelatedDispense -->
   <include href="include/1.2.276.0.76.10.4029-2014-12-21T000000.sch"/>
   <!-- OxygenSaturation -->
   <include href="include/1.2.276.0.76.10.4031-2014-09-16T000000.sch"/>
   <!-- Systolicbloodpressure -->
   <include href="include/1.2.276.0.76.10.4032-2014-09-16T000000.sch"/>
   <!-- HeartRate -->
   <include href="include/1.2.276.0.76.10.4033-2014-09-16T000000.sch"/>
   <!-- ProblemconcernactMDRO -->
   <include href="include/1.2.276.0.76.10.4072-2017-03-01T000000.sch"/>
   <!-- ProblemconcernactMDRO -->
   <include href="include/1.2.276.0.76.10.4072-2016-08-02T000000.sch"/>
   <!-- ProblemconcernactMDRO -->
   <include href="include/1.2.276.0.76.10.4072-2015-06-01T000000.sch"/>
   <!-- ProblemobservationMDRO -->
   <include href="include/1.2.276.0.76.10.4073-2017-03-01T000000.sch"/>
   <!-- ProblemobservationMDRO -->
   <include href="include/1.2.276.0.76.10.4073-2016-08-02T000000.sch"/>
   <!-- ProblemobservationMDRO -->
   <include href="include/1.2.276.0.76.10.4073-2015-09-18T000000.sch"/>
   <!-- ProblemobservationMDRO -->
   <include href="include/1.2.276.0.76.10.4073-2015-06-01T000000.sch"/>
   <!-- ProblemConcernAct -->
   <include href="include/1.2.276.0.76.10.4074-2015-12-06T000000.sch"/>
   <!-- ProblemObservation -->
   <include href="include/1.2.276.0.76.10.4075-2015-12-06T000000.sch"/>
   <!-- PriorityPreference -->
   <include href="include/1.2.276.0.76.10.4076-2015-12-06T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/1.2.276.0.76.10.4077-2017-06-26T143128.sch"/>
   <!-- AgeObservation -->
   <include href="include/1.2.276.0.76.10.4077-2015-12-06T000000.sch"/>
   <!-- PrognosisObservation -->
   <include href="include/1.2.276.0.76.10.4078-2015-12-06T000000.sch"/>
   <!-- DiagnoseConcernAct -->
   <include href="include/1.2.276.0.76.10.4079-2015-12-06T000000.sch"/>
   <!-- DiagnoseObservation -->
   <include href="include/1.2.276.0.76.10.4080-2015-12-06T000000.sch"/>
   <!-- ManifestationObservation -->
   <include href="include/1.2.276.0.76.10.4093-2017-04-09T000000.sch"/>
   <!-- EtiologyObservation -->
   <include href="include/1.2.276.0.76.10.4094-2017-04-09T000000.sch"/>
   <!-- Koerpertemperatur -->
   <include href="include/1.2.276.0.76.10.4170-2017-05-07T000000.sch"/>
   <!-- Sauerstoffapplikationrate -->
   <include href="include/1.2.276.0.76.10.4171-2017-05-08T000000.sch"/>
   <!-- Diastolicbloodpressure -->
   <include href="include/1.2.276.0.76.10.4172-2017-06-26T000000.sch"/>
   <!-- BlutdruckOrganizer -->
   <include href="include/1.2.276.0.76.10.4173-2017-05-29T000000.sch"/>
   <!-- kapnometrietranscutan -->
   <include href="include/1.2.276.0.76.10.4174-2017-05-04T000000.sch"/>
   <!-- kapnometrieendexpiratorisch -->
   <include href="include/1.2.276.0.76.10.4175-2017-05-04T000000.sch"/>
   <!-- Beatmungsform -->
   <include href="include/1.2.276.0.76.10.4178-2017-05-07T000000.sch"/>
   <!-- Beatmungsmodus -->
   <include href="include/1.2.276.0.76.10.4179-2017-05-07T000000.sch"/>
   <!-- Atemfrequenz -->
   <include href="include/1.2.276.0.76.10.4180-2017-05-07T000000.sch"/>
   <!-- Atemzugvolumen -->
   <include href="include/1.2.276.0.76.10.4181-2017-05-07T000000.sch"/>
   <!-- Atemminutenvolumen -->
   <include href="include/1.2.276.0.76.10.4182-2017-05-07T000000.sch"/>
   <!-- InspirationsExpirationsverhaeltnis -->
   <include href="include/1.2.276.0.76.10.4183-2017-05-07T000000.sch"/>
   <!-- Spitzendruck -->
   <include href="include/1.2.276.0.76.10.4184-2017-05-07T000000.sch"/>
   <!-- PEEP -->
   <include href="include/1.2.276.0.76.10.4185-2017-05-07T000000.sch"/>
   <!-- asbDruck -->
   <include href="include/1.2.276.0.76.10.4186-2017-05-08T000000.sch"/>
   <!-- Flow -->
   <include href="include/1.2.276.0.76.10.4187-2017-05-08T000000.sch"/>
   <!-- Flowtrigger -->
   <include href="include/1.2.276.0.76.10.4188-2017-05-08T000000.sch"/>
   <!-- Drucktrigger -->
   <include href="include/1.2.276.0.76.10.4189-2017-05-08T000000.sch"/>
   <!-- Triggersperrzeit -->
   <include href="include/1.2.276.0.76.10.4190-2017-05-08T000000.sch"/>
   <!-- Zielvolumenvorgabe -->
   <include href="include/1.2.276.0.76.10.4191-2017-05-08T000000.sch"/>
   <!-- Leckage -->
   <include href="include/1.2.276.0.76.10.4192-2017-05-08T000000.sch"/>
   <!-- Apnoe -->
   <include href="include/1.2.276.0.76.10.4193-2017-05-08T000000.sch"/>
   <!-- CDASupply -->
   <include href="include/1.2.276.0.76.10.4196-2017-05-14T000000.sch"/>
   <!-- CDASupplyMedizingeraete -->
   <include href="include/1.2.276.0.76.10.4197-2017-06-01T000000.sch"/>
   <!-- Einfuhr -->
   <include href="include/1.2.276.0.76.10.4202-2017-05-15T000000.sch"/>
   <!-- Urinausfuhr -->
   <include href="include/1.2.276.0.76.10.4203-2017-05-15T000000.sch"/>
   <!-- Stuhlgang -->
   <include href="include/1.2.276.0.76.10.4204-2017-05-15T000000.sch"/>
   <!-- Blutzucker -->
   <include href="include/1.2.276.0.76.10.4205-2017-05-15T000000.sch"/>
   <!-- Prophylaxen -->
   <include href="include/1.2.276.0.76.10.4206-2017-05-15T000000.sch"/>
   <!-- PositionierenUndBewegen -->
   <include href="include/1.2.276.0.76.10.4207-2017-05-15T000000.sch"/>
   <!-- MobilisationGruppeEntry -->
   <include href="include/1.2.276.0.76.10.4208-2017-05-15T000000.sch"/>
   <!-- AbsaugenGruppeEntry -->
   <include href="include/1.2.276.0.76.10.4209-2017-05-15T000000.sch"/>
   <!-- Absaugen -->
   <include href="include/1.2.276.0.76.10.4210-2017-05-15T000000.sch"/>
   <!-- Absaugfrequenz -->
   <include href="include/1.2.276.0.76.10.4211-2017-05-15T000000.sch"/>
   <!-- Sekretfarbe -->
   <include href="include/1.2.276.0.76.10.4212-2017-05-15T000000.sch"/>
   <!-- Sekretbeschaffenheit -->
   <include href="include/1.2.276.0.76.10.4213-2017-05-15T000000.sch"/>
   <!-- SekretmanagementGruppeEntry -->
   <include href="include/1.2.276.0.76.10.4214-2017-05-16T000000.sch"/>
   <!-- Atemgasklimatisierung -->
   <include href="include/1.2.276.0.76.10.4215-2017-05-16T000000.sch"/>
   <!-- MaschinelleHustenhilfe -->
   <include href="include/1.2.276.0.76.10.4216-2017-05-16T000000.sch"/>
   <!-- ManuelleTherapie -->
   <include href="include/1.2.276.0.76.10.4217-2017-05-16T000000.sch"/>
   <!-- Inhalationen -->
   <include href="include/1.2.276.0.76.10.4218-2017-05-16T000000.sch"/>
   <!-- TrachealkanueleGruppeEntry -->
   <include href="include/1.2.276.0.76.10.4221-2017-05-16T000000.sch"/>
   <!-- Trachealkanuelengroesse -->
   <include href="include/1.2.276.0.76.10.4222-2017-05-16T000000.sch"/>
   <!-- Trachealkanuelenwechsel -->
   <include href="include/1.2.276.0.76.10.4223-2017-05-16T000000.sch"/>
   <!-- Cuffdruck -->
   <include href="include/1.2.276.0.76.10.4224-2017-05-16T000000.sch"/>
   <!-- Wundbeobachtung -->
   <include href="include/1.2.276.0.76.10.4225-2017-05-16T000000.sch"/>
   <!-- VerbandswechselTracheostoma -->
   <include href="include/1.2.276.0.76.10.4226-2017-05-16T000000.sch"/>
   <!-- Physiotherapie -->
   <include href="include/1.2.276.0.76.10.4227-2017-05-22T000000.sch"/>
   <!-- Ergotherapie -->
   <include href="include/1.2.276.0.76.10.4228-2017-05-22T000000.sch"/>
   <!-- Logopaedie -->
   <include href="include/1.2.276.0.76.10.4229-2017-05-22T000000.sch"/>
   <!-- IsolationPROC -->
   <include href="include/1.2.276.0.76.10.4233-2017-05-23T000000.sch"/>
   <!-- IsolationIndikation -->
   <include href="include/1.2.276.0.76.10.4234-2017-05-23T000000.sch"/>
   <!-- BeatmungsgeraetecheckPROC -->
   <include href="include/1.2.276.0.76.10.4235-2017-05-23T000000.sch"/>
   <!-- VitalparameterOrganizer -->
   <include href="include/1.2.276.0.76.10.4238-2017-05-29T000000.sch"/>
   <!-- LaborparameterOrganizer -->
   <include href="include/1.2.276.0.76.10.4242-2017-05-30T000000.sch"/>
   <!-- TherapieplanBeatmungOrganizer -->
   <include href="include/1.2.276.0.76.10.4243-2017-05-31T000000.sch"/>
   <!-- EinstellungBeatmungsgeraetOrganizer -->
   <include href="include/1.2.276.0.76.10.4244-2017-05-31T000000.sch"/>
   <!-- BeatmungsparameterOrganizer -->
   <include href="include/1.2.276.0.76.10.4245-2017-05-31T000000.sch"/>
   <!-- AlarmkriterienOrganizer -->
   <include href="include/1.2.276.0.76.10.4246-2017-05-31T000000.sch"/>
   <!-- AlarmereignisseOrganizer -->
   <include href="include/1.2.276.0.76.10.4247-2017-05-31T000000.sch"/>
   <!-- Tracheostoma -->
   <include href="include/1.2.276.0.76.10.4248-2017-06-02T000000.sch"/>
   <!-- Entlassmedikation -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.sch"/>
   <!-- Pflegerischemassnahmen -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.sch"/>
   <!-- Herzfrequenz -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.sch"/>
   <!-- Blutdruck -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.sch"/>
   <!-- Hauptdiagnose -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.sch"/>
   <!-- Nebendiagnose -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.sch"/>
   <!-- PflegeberichtEntry -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.sch"/>
   <!-- ObservationMRE -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.83-2017-05-22T164809.sch"/>
   <!-- ActMRE -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.sch"/>
   <!-- ProblemObservationDiagnosen -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.90-2017-05-29T140353.sch"/>
   <!-- ProblemConcernActDiagnosen -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.sch"/>
   <!-- BlutdruckOrganizer -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.93-2017-05-29T173228.sch"/>
   <!-- BlutdruckSystolisch -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.94-2017-05-29T174405.sch"/>
   <!-- BlutdruckDiastolisch -->
   <include href="include/2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.sch"/>

</schema>
