<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3085
Name: Medikation
Description: aktueller Medikationseintrag
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3085-2017-04-24T000000">
   <title>Medikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]
Item: (Medikation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]
Item: (Medikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]"
         id="d127e2171-false-d85885e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Medikation): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Medikation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Medikation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Medikation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3085'])&gt;=1">(Medikation): Element hl7:templateId[@root='1.2.276.0.76.10.3085'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3085'])&lt;=1">(Medikation): Element hl7:templateId[@root='1.2.276.0.76.10.3085'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(Medikation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:code[(@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Medikation): Element hl7:code[(@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:code[(@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Medikation): Element hl7:code[(@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Medikation): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Medikation): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Medikation): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Medikation): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:templateId[@root='1.2.276.0.76.10.3085']
Item: (Medikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:templateId[@root='1.2.276.0.76.10.3085']"
         id="d127e2177-false-d86209e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3085')">(Medikation): Der Wert von @root MUSS '1.2.276.0.76.10.3085' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Medikation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:id
Item: (Medikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:id"
         id="d127e2182-false-d86230e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:code[(@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Medikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:code[(@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2184-false-d86244e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="@nullFlavor or (@code='29303-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medication administered' and @codeSystemName='LOINC')">(Medikation): Der Elementinhalt MUSS einer von 'code '29303-5' codeSystem '2.16.840.1.113883.6.1' displayName='Medication administered' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:title[not(@nullFlavor)]
Item: (Medikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:title[not(@nullFlavor)]"
         id="d127e2190-false-d86264e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="text()='Medikation'">(Medikation): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medikation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:text[not(@nullFlavor)]
Item: (Medikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:text[not(@nullFlavor)]"
         id="d127e2196-false-d86282e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3085
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]
Item: (Medikation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3085']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="string(@typeCode)=('DRIV')">(Medikation): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3085-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Medikation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
