<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3092
Name: Alarmereignisse
Description: Section, welche Angaben zu Alarmereignissen enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3092-2017-04-28T000000">
   <title>Alarmereignisse</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]"
         id="d127e2549-false-d94757e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']])&gt;=1">(Alarmereignisse): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']])&lt;=1">(Alarmereignisse): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]"
         id="d127e2560-false-d94781e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="string(@classCode)=('DOCSECT')">(Alarmereignisse): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Alarmereignisse): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="string(@moodCode)=('EVN')">(Alarmereignisse): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Alarmereignisse): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3092'])&gt;=1">(Alarmereignisse): Element hl7:templateId[@root='1.2.276.0.76.10.3092'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3092'])&lt;=1">(Alarmereignisse): Element hl7:templateId[@root='1.2.276.0.76.10.3092'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:id)&lt;=1">(Alarmereignisse): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Alarmereignisse): Element hl7:code[(@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Alarmereignisse): Element hl7:code[(@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Alarmereignisse): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Alarmereignisse): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Alarmereignisse): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Alarmereignisse): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4247']]])&lt;=1">(Alarmereignisse): Element hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4247']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:templateId[@root='1.2.276.0.76.10.3092']
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:templateId[@root='1.2.276.0.76.10.3092']"
         id="d127e2566-false-d95451e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmereignisse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3092')">(Alarmereignisse): Der Wert von @root MUSS '1.2.276.0.76.10.3092' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Alarmereignisse): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:id
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:id"
         id="d127e2571-false-d95472e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmereignisse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:code[(@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:code[(@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2573-false-d95486e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmereignisse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="@nullFlavor or (@code='X-ALARMEVN' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Alarmereignisse')">(Alarmereignisse): Der Elementinhalt MUSS einer von 'code 'X-ALARMEVN' codeSystem '2.16.840.1.113883.6.1' displayName='Alarmereignisse'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:title[not(@nullFlavor)]
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:title[not(@nullFlavor)]"
         id="d127e2579-false-d95506e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmereignisse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="text()='Alarmereignisse'">(Alarmereignisse): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Alarmereignisse'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:text[not(@nullFlavor)]
Item: (Alarmereignisse)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:text[not(@nullFlavor)]"
         id="d127e2585-false-d95524e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmereignisse): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3092
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4247']]]
Item: (Alarmereignisse)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3092']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4247']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="string(@typeCode)=('COMP')">(Alarmereignisse): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Alarmereignisse): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Alarmereignisse): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3092-2017-04-28T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Alarmereignisse): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
