<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3097
Name: Medizingeraete
Description: Section, welche Angaben zu vorhandenen Medizingeräten enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3097-2017-05-10T000000">
   <title>Medizingeraete</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]
Item: (Medizingeraete)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]
Item: (Medizingeraete)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]"
         id="d127e2746-false-d97233e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Medizingeraete): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Medizingeraete): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Medizingeraete): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Medizingeraete): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3097'])&gt;=1">(Medizingeraete): Element hl7:templateId[@root='1.2.276.0.76.10.3097'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3097'])&lt;=1">(Medizingeraete): Element hl7:templateId[@root='1.2.276.0.76.10.3097'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:id)&lt;=1">(Medizingeraete): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Medizingeraete): Element hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Medizingeraete): Element hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Medizingeraete): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Medizingeraete): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="count(hl7:text)&lt;=1">(Medizingeraete): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:templateId[@root='1.2.276.0.76.10.3097']
Item: (Medizingeraete)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:templateId[@root='1.2.276.0.76.10.3097']"
         id="d127e2752-false-d97403e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3097')">(Medizingeraete): Der Wert von @root MUSS '1.2.276.0.76.10.3097' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Medizingeraete): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:id
Item: (Medizingeraete)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:id"
         id="d127e2757-false-d97424e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Medizingeraete)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2759-false-d97438e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="@nullFlavor or (@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of medical device use' and @codeSystemName='LOINC')">(Medizingeraete): Der Elementinhalt MUSS einer von 'code '46264-8' codeSystem '2.16.840.1.113883.6.1' displayName='History of medical device use' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:title[not(@nullFlavor)]
Item: (Medizingeraete)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:title[not(@nullFlavor)]"
         id="d127e2765-false-d97458e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="text()='Medizingeräte'">(Medizingeraete): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medizingeräte'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:text
Item: (Medizingeraete)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:text"
         id="d127e2771-false-d97476e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medizingeraete): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3097
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]
Item: (Medizingeraete)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3097']]/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4197']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="string(@typeCode)=('COMP')">(Medizingeraete): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Medizingeraete): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Medizingeraete): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3097-2017-05-10T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Medizingeraete): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
