<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3098
Name: Grund für die Einweisung
Description: Angaben der Diagnosen als Grund der Einweisung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3098-2017-05-26T000000">
   <title>Grund für die Einweisung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]"
         id="d127e2783-false-d97610e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']])&gt;=1">(GrundEinweisung): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']])&lt;=1">(GrundEinweisung): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]"
         id="d127e2797-false-d97634e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(GrundEinweisung): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(GrundEinweisung): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(GrundEinweisung): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(GrundEinweisung): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3098'])&gt;=1">(GrundEinweisung): Element hl7:templateId[@root='1.2.276.0.76.10.3098'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3098'])&lt;=1">(GrundEinweisung): Element hl7:templateId[@root='1.2.276.0.76.10.3098'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:id)&lt;=1">(GrundEinweisung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(GrundEinweisung): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(GrundEinweisung): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(GrundEinweisung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(GrundEinweisung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(GrundEinweisung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(GrundEinweisung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:templateId[@root='1.2.276.0.76.10.3098']
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:templateId[@root='1.2.276.0.76.10.3098']"
         id="d127e2803-false-d98011e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3098')">(GrundEinweisung): Der Wert von @root MUSS '1.2.276.0.76.10.3098' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(GrundEinweisung): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:id
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:id"
         id="d127e2808-false-d98032e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2810-false-d98046e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reason for referral (narrative)' and @codeSystemName='LOINC')">(GrundEinweisung): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1' displayName='Reason for referral (narrative)' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:title[not(@nullFlavor)]
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:title[not(@nullFlavor)]"
         id="d127e2816-false-d98066e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="text()='Hauptdiagnose / Nebendiagnosen'">(GrundEinweisung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Hauptdiagnose / Nebendiagnosen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:text[not(@nullFlavor)]
Item: (GrundEinweisung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:text[not(@nullFlavor)]"
         id="d127e2822-false-d98084e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3098-2017-05-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrundEinweisung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3098
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3098']]/hl7:component[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4074']]]
Item: (GrundEinweisung)
--></pattern>
