<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3101
Name: Aktuelle Versorgung
Description: Section, welche Informationen zur aktuellen Versorgung enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3101-2017-06-01T000000">
   <title>Aktuelle Versorgung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]"
         id="d127e2871-false-d98603e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']])&gt;=1">(AktuelleVersorgung): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']])&lt;=1">(AktuelleVersorgung): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]"
         id="d127e2998-false-d98627e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="string(@classCode)=('DOCSECT')">(AktuelleVersorgung): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AktuelleVersorgung): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(AktuelleVersorgung): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AktuelleVersorgung): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3101'])&gt;=1">(AktuelleVersorgung): Element hl7:templateId[@root='1.2.276.0.76.10.3101'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3101'])&lt;=1">(AktuelleVersorgung): Element hl7:templateId[@root='1.2.276.0.76.10.3101'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:id)&lt;=1">(AktuelleVersorgung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:code[(@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(AktuelleVersorgung): Element hl7:code[(@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:code[(@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(AktuelleVersorgung): Element hl7:code[(@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(AktuelleVersorgung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(AktuelleVersorgung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(AktuelleVersorgung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(AktuelleVersorgung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:templateId[@root='1.2.276.0.76.10.3101']
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:templateId[@root='1.2.276.0.76.10.3101']"
         id="d127e3004-false-d98708e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3101')">(AktuelleVersorgung): Der Wert von @root MUSS '1.2.276.0.76.10.3101' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AktuelleVersorgung): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:id
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:id"
         id="d127e3009-false-d98729e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:code[(@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:code[(@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e3011-false-d98743e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="@nullFlavor or (@code='10210-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Physical findings of General status Narrative' and @codeSystemName='LOINC')">(AktuelleVersorgung): Der Elementinhalt MUSS einer von 'code '10210-3' codeSystem '2.16.840.1.113883.6.1' displayName='Physical findings of General status Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:title[not(@nullFlavor)]
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:title[not(@nullFlavor)]"
         id="d127e3017-false-d98763e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="text()='Informationen zur aktuellen Versorgung'">(AktuelleVersorgung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Informationen zur aktuellen Versorgung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3101
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:text[not(@nullFlavor)]
Item: (AktuelleVersorgung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3101']]/hl7:text[not(@nullFlavor)]"
         id="d127e3023-false-d98781e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3101-2017-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AktuelleVersorgung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
