<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4172
Name: Blutdruck diastolisch
Description: Blutdruck diastolisch
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4172-2017-06-26T000000">
   <title>Blutdruck diastolisch</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]"
         id="d127e6435-false-d113859e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']])&gt;=1">(Diastolicbloodpressure): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']])&lt;=1">(Diastolicbloodpressure): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]"
         id="d127e6469-false-d113883e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="string(@classCode)=('OBS')">(Diastolicbloodpressure): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="string(@moodCode)=('EVN')">(Diastolicbloodpressure): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4172'])&gt;=1">(Diastolicbloodpressure): Element hl7:templateId[@root='1.2.276.0.76.10.4172'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4172'])&lt;=1">(Diastolicbloodpressure): Element hl7:templateId[@root='1.2.276.0.76.10.4172'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:id)&gt;=1">(Diastolicbloodpressure): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:id)&lt;=1">(Diastolicbloodpressure): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Diastolicbloodpressure): Element hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Diastolicbloodpressure): Element hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:text)&lt;=1">(Diastolicbloodpressure): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Diastolicbloodpressure): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Diastolicbloodpressure): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Diastolicbloodpressure): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:value)&gt;=1">(Diastolicbloodpressure): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:value)&lt;=1">(Diastolicbloodpressure): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:templateId[@root='1.2.276.0.76.10.4172']
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:templateId[@root='1.2.276.0.76.10.4172']"
         id="d127e6475-false-d113979e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4172')">(Diastolicbloodpressure): Der Wert von @root MUSS '1.2.276.0.76.10.4172' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:id
Item: (Diastolicbloodpressure)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:code[(@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e6482-false-d114008e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="@nullFlavor or (@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Systolic blood pressure')">(Diastolicbloodpressure): Der Elementinhalt MUSS einer von 'code '8480-6' codeSystem '2.16.840.1.113883.6.1' displayName='Systolic blood pressure'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:text
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:text"
         id="d127e6488-false-d114028e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:reference)&gt;=1">(Diastolicbloodpressure): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="count(hl7:reference)&lt;=1">(Diastolicbloodpressure): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:text/hl7:reference
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:text/hl7:reference"
         id="d127e6493-false-d114054e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e6496-false-d114068e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="@nullFlavor or (@code='completed')">(Diastolicbloodpressure): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:effectiveTime
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:effectiveTime"
         id="d127e6501-false-d114088e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="not(*)">(Diastolicbloodpressure): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4172
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:value
Item: (Diastolicbloodpressure)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]/hl7:value"
         id="d127e6503-false-d114105e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diastolicbloodpressure): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="(@nullFlavor or (@unit='mm[Hg]'))">(Diastolicbloodpressure): value MUSS die Einheit 'mm[Hg]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="$digitok or @nullFlavor">(Diastolicbloodpressure): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4172-2017-06-26T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Diastolicbloodpressure): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
