<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4173
Name: Blutdruck Organizer
Description: Sammelkontainer für systolischen und diastolischen Blutdruck
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4173-2017-05-29T000000">
   <title>Blutdruck Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]"
         id="d127e6510-false-d114136e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']])&gt;=1">(BlutdruckOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']])&lt;=1">(BlutdruckOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]"
         id="d127e6547-false-d114160e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@classCode)=('CLUSTER')">(BlutdruckOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BlutdruckOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@moodCode)=('EVN')">(BlutdruckOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(BlutdruckOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4173'])&gt;=1">(BlutdruckOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4173'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4173'])&lt;=1">(BlutdruckOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4173'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:id)&lt;=1">(BlutdruckOrganizer): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:code[(@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(BlutdruckOrganizer): Element hl7:code[(@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:code[(@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(BlutdruckOrganizer): Element hl7:code[(@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(BlutdruckOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(BlutdruckOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(BlutdruckOrganizer): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(BlutdruckOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]])&lt;=1">(BlutdruckOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]])&lt;=1">(BlutdruckOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:templateId[@root='1.2.276.0.76.10.4173']
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:templateId[@root='1.2.276.0.76.10.4173']"
         id="d127e6553-false-d114335e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4173')">(BlutdruckOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4173' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(BlutdruckOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:id
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:id"
         id="d127e6558-false-d114356e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:code[(@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:code[(@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e6560-false-d114370e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="@nullFlavor or (@code='35094-2' and @codeSystem='2.16.840.1.113883.6.1')">(BlutdruckOrganizer): Der Elementinhalt MUSS einer von 'code '35094-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e6566-false-d114390e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="@nullFlavor or (@code='completed')">(BlutdruckOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:effectiveTime
Item: (BlutdruckOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:effectiveTime"
         id="d127e6571-false-d114410e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]]
Item: (BlutdruckOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4032']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(BlutdruckOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(BlutdruckOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(BlutdruckOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(BlutdruckOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4173
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]
Item: (BlutdruckOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4172']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(BlutdruckOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(BlutdruckOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(BlutdruckOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4173-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(BlutdruckOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
