<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4179
Name: Beatmungsmodus
Description: Angaben zum Beatmungsmodus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4179-2017-05-07T000000">
   <title>Beatmungsmodus</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]"
         id="d127e6804-false-d115312e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']])&gt;=1">(Beatmungsmodus): Element hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']])&lt;=1">(Beatmungsmodus): Element hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]"
         id="d127e6851-false-d115336e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="string(@classCode)=('PROC')">(Beatmungsmodus): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Beatmungsmodus): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="@moodCode">(Beatmungsmodus): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Beatmungsmodus): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(Beatmungsmodus): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4179'])&gt;=1">(Beatmungsmodus): Element hl7:templateId[@root='1.2.276.0.76.10.4179'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4179'])&lt;=1">(Beatmungsmodus): Element hl7:templateId[@root='1.2.276.0.76.10.4179'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:id)&gt;=1">(Beatmungsmodus): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:id)&lt;=1">(Beatmungsmodus): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:code[(@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Beatmungsmodus): Element hl7:code[(@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:code[(@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Beatmungsmodus): Element hl7:code[(@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:text)&lt;=1">(Beatmungsmodus): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Beatmungsmodus): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Beatmungsmodus): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Beatmungsmodus): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Beatmungsmodus): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="count(hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.449-2017-06-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Beatmungsmodus): Element hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.449-2017-06-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:templateId[@root='1.2.276.0.76.10.4179']
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:templateId[@root='1.2.276.0.76.10.4179']"
         id="d127e6860-false-d115451e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4179')">(Beatmungsmodus): Der Wert von @root MUSS '1.2.276.0.76.10.4179' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Beatmungsmodus): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:id
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:id"
         id="d127e6865-false-d115472e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:code[(@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:code[(@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e6867-false-d115486e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="@nullFlavor or (@code='20124-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Ventilation mode [Identifier] Ventilator' and @codeSystemName='LOINC')">(Beatmungsmodus): Der Elementinhalt MUSS einer von 'code '20124-4' codeSystem '2.16.840.1.113883.6.1' displayName='Ventilation mode [Identifier] Ventilator' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:text
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:text"
         id="d127e6873-false-d115506e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e6875-false-d115520e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="@nullFlavor or (@code='completed')">(Beatmungsmodus): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e6880-false-d115540e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4179
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.449-2017-06-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Beatmungsmodus)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4179']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.449-2017-06-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e6882-false-d115556e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsmodus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4179-2017-05-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.449-2017-06-07T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Beatmungsmodus): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.449 Beatmungsmodus (2017-06-07T00:00:00)' sein.</assert>
   </rule>
</pattern>
