<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4185
Name: PEEP
Description: positiver endexpiratorischer Druck
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4185-2017-05-07T000000">
   <title>PEEP</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]"
         id="d127e7239-false-d116940e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']])&gt;=1">(PEEP): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']])&lt;=1">(PEEP): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]"
         id="d127e7270-false-d116964e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="string(@classCode)=('OBS')">(PEEP): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PEEP): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="@moodCode">(PEEP): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PEEP): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(PEEP): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4185'])&gt;=1">(PEEP): Element hl7:templateId[@root='1.2.276.0.76.10.4185'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4185'])&lt;=1">(PEEP): Element hl7:templateId[@root='1.2.276.0.76.10.4185'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:id)&lt;=1">(PEEP): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:code[(@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(PEEP): Element hl7:code[(@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:code[(@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(PEEP): Element hl7:code[(@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:text)&lt;=1">(PEEP): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(PEEP): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(PEEP): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(PEEP): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(PEEP): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(PEEP): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(PEEP): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:templateId[@root='1.2.276.0.76.10.4185']
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:templateId[@root='1.2.276.0.76.10.4185']"
         id="d127e7279-false-d117077e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4185')">(PEEP): Der Wert von @root MUSS '1.2.276.0.76.10.4185' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PEEP): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:id
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:id"
         id="d127e7284-false-d117098e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:code[(@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:code[(@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e7286-false-d117112e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="@nullFlavor or (@code='20075-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='PEEP Respiratory system' and @codeSystemName='LOINC')">(PEEP): Der Elementinhalt MUSS einer von 'code '20075-8' codeSystem '2.16.840.1.113883.6.1' displayName='PEEP Respiratory system' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:text
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:text"
         id="d127e7292-false-d117132e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7294-false-d117146e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="@nullFlavor or (@code='completed')">(PEEP): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e7299-false-d117166e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4185
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:value[not(@nullFlavor)]
Item: (PEEP)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4185']]/hl7:value[not(@nullFlavor)]"
         id="d127e7301-false-d117180e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PEEP): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="(@nullFlavor or (@unit='cm[H2O]'))">(PEEP): value MUSS die Einheit 'cm[H2O]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="$digitok or @nullFlavor">(PEEP): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4185-2017-05-07T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(PEEP): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
