<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4186
Name: ASB-Druck
Description: Assistierte Spontanbeatmung - ASB-Druck, auch Hilfsdruck genannt
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4186-2017-05-08T000000">
   <title>ASB-Druck</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]"
         id="d127e7308-false-d117209e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']])&gt;=1">(asbDruck): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']])&lt;=1">(asbDruck): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]"
         id="d127e7336-false-d117233e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(asbDruck): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(asbDruck): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="@moodCode">(asbDruck): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(asbDruck): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-1.2.276.0.76.11.447-2017-05-31T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(asbDruck): Der Wert von moodCode MUSS gewählt werden aus Value Set '1.2.276.0.76.11.447' ActMoodCodes (2017-05-31T00:00:00).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4186'])&gt;=1">(asbDruck): Element hl7:templateId[@root='1.2.276.0.76.10.4186'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4186'])&lt;=1">(asbDruck): Element hl7:templateId[@root='1.2.276.0.76.10.4186'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:id)&gt;=1">(asbDruck): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:id)&lt;=1">(asbDruck): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:code[(@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(asbDruck): Element hl7:code[(@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:code[(@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(asbDruck): Element hl7:code[(@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:text)&lt;=1">(asbDruck): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(asbDruck): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(asbDruck): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(asbDruck): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(asbDruck): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(asbDruck): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(asbDruck): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:templateId[@root='1.2.276.0.76.10.4186']
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:templateId[@root='1.2.276.0.76.10.4186']"
         id="d127e7345-false-d117349e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4186')">(asbDruck): Der Wert von @root MUSS '1.2.276.0.76.10.4186' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(asbDruck): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:id
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:id"
         id="d127e7350-false-d117370e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:code[(@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:code[(@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e7352-false-d117384e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="@nullFlavor or (@code='20079-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Pressure support setting Ventilator' and @codeSystemName='LOINC')">(asbDruck): Der Elementinhalt MUSS einer von 'code '20079-0' codeSystem '2.16.840.1.113883.6.1' displayName='Pressure support setting Ventilator' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:text
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:text"
         id="d127e7358-false-d117404e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7360-false-d117418e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="@nullFlavor or (@code='completed')">(asbDruck): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:effectiveTime
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:effectiveTime"
         id="d127e7365-false-d117438e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4186
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:value[not(@nullFlavor)]
Item: (asbDruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4186']]/hl7:value[not(@nullFlavor)]"
         id="d127e7367-false-d117452e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(asbDruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="(@nullFlavor or (@unit='cm[H2O]'))">(asbDruck): value MUSS die Einheit 'cm[H2O]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="$digitok or @nullFlavor">(asbDruck): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4186-2017-05-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(asbDruck): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
