<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4191
Name: Zielvolumenvorgabe
Description: Vorgewähltes Atemzugvolumen, welches während eines Atemzugs erreicht werden soll.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4191-2017-05-08T000000">
   <title>Zielvolumenvorgabe</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]"
         id="d127e7631-false-d118581e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']])&gt;=1">(Zielvolumenvorgabe): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']])&lt;=1">(Zielvolumenvorgabe): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]"
         id="d127e7642-false-d118605e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="string(@classCode)=('OBS')">(Zielvolumenvorgabe): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Zielvolumenvorgabe): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="string(@moodCode)=('GOL')">(Zielvolumenvorgabe): Der Wert von @moodCode MUSS 'GOL' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Zielvolumenvorgabe): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4191'])&gt;=1">(Zielvolumenvorgabe): Element hl7:templateId[@root='1.2.276.0.76.10.4191'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4191'])&lt;=1">(Zielvolumenvorgabe): Element hl7:templateId[@root='1.2.276.0.76.10.4191'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:id)&gt;=1">(Zielvolumenvorgabe): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:id)&lt;=1">(Zielvolumenvorgabe): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:code[(@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Zielvolumenvorgabe): Element hl7:code[(@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:code[(@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Zielvolumenvorgabe): Element hl7:code[(@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:text)&lt;=1">(Zielvolumenvorgabe): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Zielvolumenvorgabe): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Zielvolumenvorgabe): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Zielvolumenvorgabe): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Zielvolumenvorgabe): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Zielvolumenvorgabe): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Zielvolumenvorgabe): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:templateId[@root='1.2.276.0.76.10.4191']
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:templateId[@root='1.2.276.0.76.10.4191']"
         id="d127e7648-false-d118710e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4191')">(Zielvolumenvorgabe): Der Wert von @root MUSS '1.2.276.0.76.10.4191' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Zielvolumenvorgabe): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:id
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:id"
         id="d127e7653-false-d118731e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:code[(@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:code[(@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e7655-false-d118745e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="@nullFlavor or (@code='X-TIDVOLPBR' and @codeSystem='2.16.840.1.113883.6.1')">(Zielvolumenvorgabe): Der Elementinhalt MUSS einer von 'code 'X-TIDVOLPBR' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:text
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:text"
         id="d127e7661-false-d118765e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7663-false-d118779e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="@nullFlavor or (@code='completed')">(Zielvolumenvorgabe): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:effectiveTime
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:effectiveTime"
         id="d127e7668-false-d118799e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4191
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:value[not(@nullFlavor)]
Item: (Zielvolumenvorgabe)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4191']]/hl7:value[not(@nullFlavor)]"
         id="d127e7670-false-d118813e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Zielvolumenvorgabe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="(@nullFlavor or (@unit='ml')) or (@nullFlavor or (@unit='L'))">(Zielvolumenvorgabe): value MUSS die Einheit 'ml' nutzen  oder die Einheit 'L' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="$digitok or @nullFlavor">(Zielvolumenvorgabe): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4191-2017-05-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Zielvolumenvorgabe): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
