<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4192
Name: Leckage
Description: Leckagevolumen pro Minute
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4192-2017-05-08T000000">
   <title>Leckage</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]"
         id="d127e7679-false-d118848e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']])&gt;=1">(Leckage): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']])&lt;=1">(Leckage): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]"
         id="d127e7707-false-d118872e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Leckage): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Leckage): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="string(@moodCode)=('EVN')">(Leckage): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Leckage): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4192'])&gt;=1">(Leckage): Element hl7:templateId[@root='1.2.276.0.76.10.4192'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4192'])&lt;=1">(Leckage): Element hl7:templateId[@root='1.2.276.0.76.10.4192'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:id)&gt;=1">(Leckage): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:id)&lt;=1">(Leckage): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:code[(@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(Leckage): Element hl7:code[(@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:code[(@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(Leckage): Element hl7:code[(@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:text)&lt;=1">(Leckage): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Leckage): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Leckage): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Leckage): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Leckage): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:value)&gt;=1">(Leckage): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="count(hl7:value)&lt;=1">(Leckage): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:templateId[@root='1.2.276.0.76.10.4192']
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:templateId[@root='1.2.276.0.76.10.4192']"
         id="d127e7713-false-d118977e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4192')">(Leckage): Der Wert von @root MUSS '1.2.276.0.76.10.4192' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Leckage): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:id
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:id"
         id="d127e7718-false-d118998e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:code[(@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:code[(@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e7720-false-d119012e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="@nullFlavor or (@code='76296-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Ventilator airway circuit leakage volume' and @codeSystemName='LOINC')">(Leckage): Der Elementinhalt MUSS einer von 'code '76296-3' codeSystem '2.16.840.1.113883.6.1' displayName='Ventilator airway circuit leakage volume' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:text
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:text"
         id="d127e7726-false-d119032e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e7728-false-d119046e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="@nullFlavor or (@code='completed')">(Leckage): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:effectiveTime
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:effectiveTime"
         id="d127e7733-false-d119066e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4192
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:value
Item: (Leckage)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4192']]/hl7:value"
         id="d127e7735-false-d119080e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Leckage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Leckage): value MUSS die Einheit 'L/min' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="$digitok or @nullFlavor">(Leckage): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4192-2017-05-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Leckage): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
