<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4206
Name: Prophylaxen
Description: angaben zur Durchführung prophylaktischer Prozeduren
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4206-2017-05-15T000000">
   <title>Prophylaxen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]
Item: (Prophylaxen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]"
         id="d127e8418-false-d121935e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="string(@classCode)=('PROC')">(Prophylaxen): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Prophylaxen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Prophylaxen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Prophylaxen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4206'])&gt;=1">(Prophylaxen): Element hl7:templateId[@root='1.2.276.0.76.10.4206'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4206'])&lt;=1">(Prophylaxen): Element hl7:templateId[@root='1.2.276.0.76.10.4206'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Prophylaxen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Prophylaxen): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Prophylaxen): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Prophylaxen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Prophylaxen): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Prophylaxen): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Prophylaxen): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:templateId[@root='1.2.276.0.76.10.4206']
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:templateId[@root='1.2.276.0.76.10.4206']"
         id="d127e8424-false-d122024e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Prophylaxen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4206')">(Prophylaxen): Der Wert von @root MUSS '1.2.276.0.76.10.4206' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Prophylaxen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:id
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:id"
         id="d127e8429-false-d122045e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Prophylaxen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e8431-false-d122061e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Prophylaxen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.436-2017-03-06T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Prophylaxen): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.436 Prophylaxen (2017-03-06T00:00:00)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:text
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:text"
         id="d127e8437-false-d122083e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Prophylaxen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:statusCode
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:statusCode"
         id="d127e8439-false-d122097e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Prophylaxen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Prophylaxen): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4206
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Prophylaxen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e8444-false-d122117e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4206-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Prophylaxen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
</pattern>
