<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4210
Name: Absaugen
Description: Absaugmethode
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4210-2017-05-15T000000">
   <title>Absaugen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]
Item: (Absaugen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]"
         id="d127e8629-false-d123346e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="string(@classCode)=('PROC')">(Absaugen): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Absaugen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Absaugen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Absaugen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="@negationInd">(Absaugen): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Absaugen): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4210'])&gt;=1">(Absaugen): Element hl7:templateId[@root='1.2.276.0.76.10.4210'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4210'])&lt;=1">(Absaugen): Element hl7:templateId[@root='1.2.276.0.76.10.4210'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Absaugen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:code)&lt;=1">(Absaugen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Absaugen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Absaugen): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Absaugen): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Absaugen): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="count(hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.434-2017-03-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Absaugen): Element hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.434-2017-03-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:templateId[@root='1.2.276.0.76.10.4210']
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:templateId[@root='1.2.276.0.76.10.4210']"
         id="d127e8637-false-d123448e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4210')">(Absaugen): Der Wert von @root MUSS '1.2.276.0.76.10.4210' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Absaugen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:id
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:id"
         id="d127e8642-false-d123469e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:code
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:code"
         id="d127e8645-false-d123483e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="@nullFlavor or (@code='230040009' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Airway suction technique (procedure)' and @codeSystemName='SNOMED CT')">(Absaugen): Der Elementinhalt MUSS einer von 'code '230040009' codeSystem '2.16.840.1.113883.6.96' displayName='Airway suction technique (procedure)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:text
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:text"
         id="d127e8650-false-d123503e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:statusCode
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:statusCode"
         id="d127e8652-false-d123517e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Absaugen): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:effectiveTime
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:effectiveTime"
         id="d127e8657-false-d123537e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4210
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.434-2017-03-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Absaugen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.434-2017-03-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e8659-false-d123553e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4210-2017-05-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.434-2017-03-02T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Absaugen): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.434 Absaugmethode (2017-03-02T00:00:00)' sein.</assert>
   </rule>
</pattern>
