<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4213
Name: Sekretbeschaffenheit
Description: Angaben zur Sekretbeschaffenheit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4213-2017-05-15T000000">
   <title>Sekretbeschaffenheit</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]"
         id="d127e8773-false-d124050e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']])&gt;=1">(Sekretbeschaffenheit): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']])&lt;=1">(Sekretbeschaffenheit): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]"
         id="d127e8801-false-d124074e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="string(@classCode)=('OBS')">(Sekretbeschaffenheit): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Sekretbeschaffenheit): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Sekretbeschaffenheit): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Sekretbeschaffenheit): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4213'])&gt;=1">(Sekretbeschaffenheit): Element hl7:templateId[@root='1.2.276.0.76.10.4213'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4213'])&lt;=1">(Sekretbeschaffenheit): Element hl7:templateId[@root='1.2.276.0.76.10.4213'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Sekretbeschaffenheit): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:code[(@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Sekretbeschaffenheit): Element hl7:code[(@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:code[(@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Sekretbeschaffenheit): Element hl7:code[(@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Sekretbeschaffenheit): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Sekretbeschaffenheit): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Sekretbeschaffenheit): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Sekretbeschaffenheit): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Sekretbeschaffenheit): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.439-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Sekretbeschaffenheit): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.439-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:templateId[@root='1.2.276.0.76.10.4213']
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:templateId[@root='1.2.276.0.76.10.4213']"
         id="d127e8807-false-d124175e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4213')">(Sekretbeschaffenheit): Der Wert von @root MUSS '1.2.276.0.76.10.4213' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Sekretbeschaffenheit): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:id
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:id"
         id="d127e8812-false-d124196e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:code[(@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:code[(@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e8814-false-d124210e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="@nullFlavor or (@code='365675002:363698007=261061003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Finding of consistency of specimen (finding) : Finding site (attribute) = Bronchial (qualifier value)' and @codeSystemName='SNOMED CT')">(Sekretbeschaffenheit): Der Elementinhalt MUSS einer von 'code '365675002:363698007=261061003' codeSystem '2.16.840.1.113883.6.96' displayName='Finding of consistency of specimen (finding) : Finding site (attribute) = Bronchial (qualifier value)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:text
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:text"
         id="d127e8820-false-d124230e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e8822-false-d124244e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Sekretbeschaffenheit): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:effectiveTime
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:effectiveTime"
         id="d127e8827-false-d124264e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4213
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.439-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Sekretbeschaffenheit)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.439-2017-03-07T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e8829-false-d124280e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sekretbeschaffenheit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4213-2017-05-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.439-2017-03-07T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Sekretbeschaffenheit): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.439 Sekretbeschaffenheit (2017-03-07T00:00:00)' sein.</assert>
   </rule>
</pattern>
