<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4215
Name: Atemgasklimatisierung
Description: Angabe, ob eine Atemgasklimatisierung durchgeführt wird und mit welchem Gerät
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4215-2017-05-16T000000">
   <title>Atemgasklimatisierung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]
Item: (Atemgasklimatisierung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]"
         id="d127e8942-false-d125500e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="string(@classCode)=('PROC')">(Atemgasklimatisierung): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Atemgasklimatisierung): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(Atemgasklimatisierung): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Atemgasklimatisierung): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Atemgasklimatisierung): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4215'])&gt;=1">(Atemgasklimatisierung): Element hl7:templateId[@root='1.2.276.0.76.10.4215'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4215'])&lt;=1">(Atemgasklimatisierung): Element hl7:templateId[@root='1.2.276.0.76.10.4215'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(Atemgasklimatisierung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:code[(@code='286814009' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Atemgasklimatisierung): Element hl7:code[(@code='286814009' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:code[(@code='286814009' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Atemgasklimatisierung): Element hl7:code[(@code='286814009' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:text)&gt;=1">(Atemgasklimatisierung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(Atemgasklimatisierung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Atemgasklimatisierung): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Atemgasklimatisierung): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Atemgasklimatisierung): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:templateId[@root='1.2.276.0.76.10.4215']
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:templateId[@root='1.2.276.0.76.10.4215']"
         id="d127e8950-false-d125644e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4215')">(Atemgasklimatisierung): Der Wert von @root MUSS '1.2.276.0.76.10.4215' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Atemgasklimatisierung): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:id
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:id"
         id="d127e8955-false-d125665e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:code[(@code='286814009' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:code[(@code='286814009' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e8958-false-d125679e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="@nullFlavor or (@code='286814009' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Inspired gas humidification (regime/therapy)' and @codeSystemName='SNOMED CT')">(Atemgasklimatisierung): Der Elementinhalt MUSS einer von 'code '286814009' codeSystem '2.16.840.1.113883.6.96' displayName='Inspired gas humidification (regime/therapy)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:text
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:text"
         id="d127e8963-false-d125699e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:statusCode
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:statusCode"
         id="d127e8965-false-d125713e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(Atemgasklimatisierung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e8970-false-d125733e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="count(hl7:low)&gt;=1">(Atemgasklimatisierung): Element hl7:low ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d127e8975-false-d125762e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="not(*)">(Atemgasklimatisierung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Atemgasklimatisierung)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d127e8977-false-d125779e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Atemgasklimatisierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4215-2017-05-16T000000.html"
              test="not(*)">(Atemgasklimatisierung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4215
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant
Item: (Atemgasklimatisierung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4250
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant
Item: (CDAParticipantBodyHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="string(@typeCode)=('DEV')">(CDAParticipantBodyHumidifier): Der Wert von @typeCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAParticipantBodyHumidifier): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBodyHumidifier): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="not(@contextControlCode) or (string-length(@contextControlCode)&gt;0 and not(matches(@contextControlCode,'\s')))">(CDAParticipantBodyHumidifier): Attribute @contextControlCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="count(hl7:participantRole)&gt;=1">(CDAParticipantBodyHumidifier): Element hl7:participantRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBodyHumidifier): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4250
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole
Item: (CDAParticipantBodyHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBodyHumidifier): Der Wert von @classCode MUSS 'ROL' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAParticipantBodyHumidifier): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBodyHumidifier): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="count(hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]])&gt;=1">(CDAParticipantBodyHumidifier): Element hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="count(hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]])&lt;=1">(CDAParticipantBodyHumidifier): Element hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4250
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBodyHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBodyHumidifier): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4250
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:code
Item: (CDAParticipantBodyHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:code">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBodyHumidifier): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4250-2017-06-08T000000.html"
              test="@nullFlavor or (@code='APLCTR' and @codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBodyHumidifier): Der Elementinhalt MUSS einer von 'code 'APLCTR' codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4250
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]
Item: (CDAParticipantBodyHumidifier)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4249
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]
Item: (CDADeviceHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADeviceHumidifier): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDADeviceHumidifier): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADeviceHumidifier): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(CDADeviceHumidifier): Attribute @determinerCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(CDADeviceHumidifier): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADeviceHumidifier): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADeviceHumidifier): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4249
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (CDADeviceHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADeviceHumidifier): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADeviceHumidifier): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.450 Atemgasklimatisiergeräte (2017-06-08T00:00:00)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4249
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:manufacturerModelName
Item: (CDADeviceHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:manufacturerModelName">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADeviceHumidifier): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4249
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:softwareName
Item: (CDADeviceHumidifier)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]/hl7:participant/hl7:participantRole/hl7:playingDevice[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.450-2017-06-08T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]]/hl7:softwareName">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4249-2017-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADeviceHumidifier): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>
</pattern>
