<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4218
Name: Inhalationen
Description: Angaben zu durchgeführten Inhalationen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4218-2017-05-16T000000">
   <title>Inhalationen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]
Item: (Inhalationen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]"
         id="d127e9131-false-d126593e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="string(@classCode)=('PROC')">(Inhalationen): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Inhalationen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(Inhalationen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Inhalationen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Inhalationen): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4218'])&gt;=1">(Inhalationen): Element hl7:templateId[@root='1.2.276.0.76.10.4218'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4218'])&lt;=1">(Inhalationen): Element hl7:templateId[@root='1.2.276.0.76.10.4218'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(Inhalationen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:code[(@code='1366004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Inhalationen): Element hl7:code[(@code='1366004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:code[(@code='1366004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Inhalationen): Element hl7:code[(@code='1366004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(Inhalationen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Inhalationen): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Inhalationen): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Inhalationen): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:templateId[@root='1.2.276.0.76.10.4218']
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:templateId[@root='1.2.276.0.76.10.4218']"
         id="d127e9139-false-d126927e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Inhalationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4218')">(Inhalationen): Der Wert von @root MUSS '1.2.276.0.76.10.4218' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Inhalationen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:id
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:id"
         id="d127e9144-false-d126948e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Inhalationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:code[(@code='1366004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:code[(@code='1366004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9147-false-d126962e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Inhalationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="@nullFlavor or (@code='1366004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Inhalation therapy procedure (procedure)' and @codeSystemName='SNOMED CT')">(Inhalationen): Der Elementinhalt MUSS einer von 'code '1366004' codeSystem '2.16.840.1.113883.6.96' displayName='Inhalation therapy procedure (procedure)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:text
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:text"
         id="d127e9152-false-d126982e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Inhalationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:statusCode
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:statusCode"
         id="d127e9154-false-d126996e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Inhalationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(Inhalationen): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Inhalationen)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e9159-false-d127016e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4218-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Inhalationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4218
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]
Item: (Inhalationen)
--></pattern>
