<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4223
Name: Trachealkanülenwechsel
Description: Angaben zur Durchführung eines Trachealkanülenwechsels inklusive Zeitpunkt
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4223-2017-05-16T000000">
   <title>Trachealkanülenwechsel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]
Item: (Trachealkanuelenwechsel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]"
         id="d127e9359-false-d128523e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="string(@classCode)=('PROC')">(Trachealkanuelenwechsel): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Trachealkanuelenwechsel): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="@moodCode">(Trachealkanuelenwechsel): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Trachealkanuelenwechsel): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19460-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(Trachealkanuelenwechsel): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19460' x_DocumentProcedureMood (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Trachealkanuelenwechsel): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4223'])&gt;=1">(Trachealkanuelenwechsel): Element hl7:templateId[@root='1.2.276.0.76.10.4223'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4223'])&lt;=1">(Trachealkanuelenwechsel): Element hl7:templateId[@root='1.2.276.0.76.10.4223'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(Trachealkanuelenwechsel): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:code[(@code='2267008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Trachealkanuelenwechsel): Element hl7:code[(@code='2267008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:code[(@code='2267008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Trachealkanuelenwechsel): Element hl7:code[(@code='2267008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(Trachealkanuelenwechsel): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Trachealkanuelenwechsel): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Trachealkanuelenwechsel): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Trachealkanuelenwechsel): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:templateId[@root='1.2.276.0.76.10.4223']
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:templateId[@root='1.2.276.0.76.10.4223']"
         id="d127e9370-false-d128628e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelenwechsel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4223')">(Trachealkanuelenwechsel): Der Wert von @root MUSS '1.2.276.0.76.10.4223' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Trachealkanuelenwechsel): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:id
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:id"
         id="d127e9375-false-d128649e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelenwechsel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:code[(@code='2267008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:code[(@code='2267008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9378-false-d128663e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelenwechsel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="@nullFlavor or (@code='2267008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Changing tracheostomy tube (procedure)' and @codeSystemName='SNOMED CT')">(Trachealkanuelenwechsel): Der Elementinhalt MUSS einer von 'code '2267008' codeSystem '2.16.840.1.113883.6.96' displayName='Changing tracheostomy tube (procedure)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:text
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:text"
         id="d127e9383-false-d128683e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelenwechsel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:statusCode
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:statusCode"
         id="d127e9385-false-d128697e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelenwechsel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(Trachealkanuelenwechsel): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4223
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Trachealkanuelenwechsel)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e9390-false-d128717e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4223-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Trachealkanuelenwechsel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
</pattern>
