<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4226
Name: Verbandswechsel Tracheostoma
Description: Verbandswechsel Tracheostoma
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4226-2017-05-16T000000">
   <title>Verbandswechsel Tracheostoma</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]
Item: (VerbandswechselTracheostoma)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]"
         id="d127e9520-false-d129236e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="string(@classCode)=('PROC')">(VerbandswechselTracheostoma): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VerbandswechselTracheostoma): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="@moodCode">(VerbandswechselTracheostoma): Attribut @moodCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(VerbandswechselTracheostoma): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19460-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(VerbandswechselTracheostoma): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19460' x_DocumentProcedureMood (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(VerbandswechselTracheostoma): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4226'])&gt;=1">(VerbandswechselTracheostoma): Element hl7:templateId[@root='1.2.276.0.76.10.4226'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4226'])&lt;=1">(VerbandswechselTracheostoma): Element hl7:templateId[@root='1.2.276.0.76.10.4226'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(VerbandswechselTracheostoma): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:code[(@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(VerbandswechselTracheostoma): Element hl7:code[(@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:code[(@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(VerbandswechselTracheostoma): Element hl7:code[(@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(VerbandswechselTracheostoma): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(VerbandswechselTracheostoma): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(VerbandswechselTracheostoma): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(VerbandswechselTracheostoma): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:templateId[@root='1.2.276.0.76.10.4226']
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:templateId[@root='1.2.276.0.76.10.4226']"
         id="d127e9531-false-d129385e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerbandswechselTracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4226')">(VerbandswechselTracheostoma): Der Wert von @root MUSS '1.2.276.0.76.10.4226' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:id
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:id"
         id="d127e9536-false-d129403e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerbandswechselTracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:code[(@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:code[(@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9539-false-d129417e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerbandswechselTracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="@nullFlavor or (@code='241020009:363704007=16224631000119103' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Change of wound pack (procedure) : Procedure site (attribute) = Tracheostomy site (morphologic abnormality)' and @codeSystemName='SNOMED CT')">(VerbandswechselTracheostoma): Der Elementinhalt MUSS einer von 'code '241020009:363704007=16224631000119103' codeSystem '2.16.840.1.113883.6.96' displayName='Change of wound pack (procedure) : Procedure site (attribute) = Tracheostomy site (morphologic abnormality)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:text
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:text"
         id="d127e9544-false-d129437e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerbandswechselTracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:statusCode
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:statusCode"
         id="d127e9546-false-d129451e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerbandswechselTracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(VerbandswechselTracheostoma): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (VerbandswechselTracheostoma)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e9551-false-d129471e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VerbandswechselTracheostoma): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4226
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]
Item: (VerbandswechselTracheostoma)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4226']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="@typeCode">(VerbandswechselTracheostoma): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VerbandswechselTracheostoma): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('COMP')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4226-2017-05-16T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(VerbandswechselTracheostoma): Der Wert von typeCode MUSS 'Code COMP' sein.</assert>
   </rule>
</pattern>
