<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4233
Name: Isolation
Description: Angabe, ob eine Isolation durchgeführt wird
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4233-2017-05-23T000000">
   <title>Isolation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]
Item: (IsolationPROC)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]
Item: (IsolationPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]"
         id="d127e9808-false-d131300e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="string(@classCode)=('PROC')">(IsolationPROC): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(IsolationPROC): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="string(@moodCode)=('EVN')">(IsolationPROC): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(IsolationPROC): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(IsolationPROC): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4233'])&gt;=1">(IsolationPROC): Element hl7:templateId[@root='1.2.276.0.76.10.4233'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4233'])&lt;=1">(IsolationPROC): Element hl7:templateId[@root='1.2.276.0.76.10.4233'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:id)&gt;=1">(IsolationPROC): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:code[(@code='40174006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(IsolationPROC): Element hl7:code[(@code='40174006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:code[(@code='40174006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(IsolationPROC): Element hl7:code[(@code='40174006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:text)&lt;=1">(IsolationPROC): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(IsolationPROC): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(IsolationPROC): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:templateId[@root='1.2.276.0.76.10.4233']
Item: (IsolationPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:templateId[@root='1.2.276.0.76.10.4233']"
         id="d127e9816-false-d131418e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4233')">(IsolationPROC): Der Wert von @root MUSS '1.2.276.0.76.10.4233' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(IsolationPROC): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:id
Item: (IsolationPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:id"
         id="d127e9821-false-d131439e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:code[(@code='40174006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (IsolationPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:code[(@code='40174006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9824-false-d131453e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="@nullFlavor or (@code='40174006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Isolation procedure (procedure)' and @codeSystemName='SNOMED CT')">(IsolationPROC): Der Elementinhalt MUSS einer von 'code '40174006' codeSystem '2.16.840.1.113883.6.96' displayName='Isolation procedure (procedure)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:text
Item: (IsolationPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:text"
         id="d127e9829-false-d131473e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="text()='Lediglich reference in den Text der zugehörigen Section'">(IsolationPROC): Der Elementinhalt von 'hl7:text' MUSS ''Lediglich reference in den Text der zugehörigen Section'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (IsolationPROC)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e9835-false-d131491e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationPROC): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="@nullFlavor or (@code='completed')">(IsolationPROC): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4233
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]
Item: (IsolationPROC)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4233']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="string(@typeCode)=('RSON')">(IsolationPROC): Der Wert von @typeCode MUSS 'RSON' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4233-2017-05-23T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(IsolationPROC): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
