<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4234
Name: Isolation Indikation
Description: Isolation Indikation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4234-2017-05-23T000000">
   <title>Isolation Indikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]
Item: (IsolationIndikation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]
Item: (IsolationIndikation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]"
         id="d127e9874-false-d131586e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(IsolationIndikation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(IsolationIndikation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="string(@moodCode)=('EVN')">(IsolationIndikation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(IsolationIndikation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4234'])&gt;=1">(IsolationIndikation): Element hl7:templateId[@root='1.2.276.0.76.10.4234'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4234'])&lt;=1">(IsolationIndikation): Element hl7:templateId[@root='1.2.276.0.76.10.4234'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(IsolationIndikation): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:code[(@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(IsolationIndikation): Element hl7:code[(@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:code[(@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(IsolationIndikation): Element hl7:code[(@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(IsolationIndikation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(IsolationIndikation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:value[(@code='409792002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(IsolationIndikation): Element hl7:value[(@code='409792002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="count(hl7:value[(@code='409792002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(IsolationIndikation): Element hl7:value[(@code='409792002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:templateId[@root='1.2.276.0.76.10.4234']
Item: (IsolationIndikation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:templateId[@root='1.2.276.0.76.10.4234']"
         id="d127e9880-false-d131667e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationIndikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4234')">(IsolationIndikation): Der Wert von @root MUSS '1.2.276.0.76.10.4234' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(IsolationIndikation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:id[not(@nullFlavor)]
Item: (IsolationIndikation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:id[not(@nullFlavor)]"
         id="d127e9885-false-d131688e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationIndikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:code[(@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (IsolationIndikation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:code[(@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e9887-false-d131702e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationIndikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="@nullFlavor or (@code='44100-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medical problem' and @codeSystemName='LOINC')">(IsolationIndikation): Der Elementinhalt MUSS einer von 'code '44100-6' codeSystem '2.16.840.1.113883.6.1' displayName='Medical problem' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (IsolationIndikation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e9893-false-d131722e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationIndikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="@nullFlavor or (@code='completed')">(IsolationIndikation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4234
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:value[(@code='409792002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (IsolationIndikation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4234']]/hl7:value[(@code='409792002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9898-false-d131742e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IsolationIndikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4234-2017-05-23T000000.html"
              test="@nullFlavor or (@code='409792002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Antimicrobial resistant organism (organism)' and @codeSystemName='SNOMED CT')">(IsolationIndikation): Der Elementinhalt MUSS einer von 'code '409792002' codeSystem '2.16.840.1.113883.6.96' displayName='Antimicrobial resistant organism (organism)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
</pattern>
