<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4238
Name: Vitalparameter Organizer
Description: Sammelkontainer für Vitalparameter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4238-2017-05-29T000000">
   <title>Vitalparameter Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]"
         id="d127e9961-false-d131967e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']])&gt;=1">(VitalparameterOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']])&lt;=1">(VitalparameterOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]"
         id="d127e9975-false-d131991e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@classCode)=('CLUSTER')">(VitalparameterOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VitalparameterOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@moodCode)=('EVN')">(VitalparameterOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(VitalparameterOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4238'])&gt;=1">(VitalparameterOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4238'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4238'])&lt;=1">(VitalparameterOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4238'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:id)&gt;=1">(VitalparameterOrganizer): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:id)&lt;=1">(VitalparameterOrganizer): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(VitalparameterOrganizer): Element hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(VitalparameterOrganizer): Element hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(VitalparameterOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(VitalparameterOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(VitalparameterOrganizer): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VitalparameterOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]])&lt;=1">(VitalparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]])&lt;=1">(VitalparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4175']]])&lt;=1">(VitalparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4175']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]])&lt;=1">(VitalparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]])&lt;=1">(VitalparameterOrganizer): Element hl7:component[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]])&lt;=1">(VitalparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:templateId[@root='1.2.276.0.76.10.4238']
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:templateId[@root='1.2.276.0.76.10.4238']"
         id="d127e9981-false-d132427e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4238')">(VitalparameterOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4238' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(VitalparameterOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:id
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:id"
         id="d127e9986-false-d132448e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:code[(@code='46680005' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9988-false-d132462e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="@nullFlavor or (@code='46680005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Vital sign (observable entity)' and @codeSystemName='SNOMED CT')">(VitalparameterOrganizer): Der Elementinhalt MUSS einer von 'code '46680005' codeSystem '2.16.840.1.113883.6.96' displayName='Vital sign (observable entity)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e9994-false-d132482e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="@nullFlavor or (@code='completed')">(VitalparameterOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:effectiveTime
Item: (VitalparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:effectiveTime"
         id="d127e9999-false-d132502e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]]
Item: (VitalparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4031']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]
Item: (VitalparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4174']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4175']]]
Item: (VitalparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4175']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]]
Item: (VitalparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4033']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]
Item: (VitalparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4173']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4238
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]
Item: (VitalparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4238']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4238-2017-05-29T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
