<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4242
Name: Laborparameter Organizer
Description: Sammelkontainer für Laborwerte
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4242-2017-05-30T000000">
   <title>Laborparameter Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]"
         id="d127e10046-false-d133009e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']])&gt;=1">(LaborparameterOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']])&lt;=1">(LaborparameterOrganizer): Element hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]"
         id="d127e10082-false-d133033e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="string(@classCode)=('CLUSTER')">(LaborparameterOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(LaborparameterOrganizer): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="string(@moodCode)=('EVN')">(LaborparameterOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(LaborparameterOrganizer): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4242'])&gt;=1">(LaborparameterOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4242'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4242'])&lt;=1">(LaborparameterOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4242'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:id)&lt;=1">(LaborparameterOrganizer): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:code[(@code='05180' and @codeSystem='1.2.276.0.76.5.477')][not(@nullFlavor)])&gt;=1">(LaborparameterOrganizer): Element hl7:code[(@code='05180' and @codeSystem='1.2.276.0.76.5.477')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:code[(@code='05180' and @codeSystem='1.2.276.0.76.5.477')][not(@nullFlavor)])&lt;=1">(LaborparameterOrganizer): Element hl7:code[(@code='05180' and @codeSystem='1.2.276.0.76.5.477')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(LaborparameterOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(LaborparameterOrganizer): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(LaborparameterOrganizer): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(LaborparameterOrganizer): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]])&gt;=1">(LaborparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]])&lt;=1">(LaborparameterOrganizer): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:templateId[@root='1.2.276.0.76.10.4242']
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:templateId[@root='1.2.276.0.76.10.4242']"
         id="d127e10088-false-d133174e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaborparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4242')">(LaborparameterOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4242' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(LaborparameterOrganizer): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:id
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:id"
         id="d127e10093-false-d133195e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaborparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:code[(@code='05180' and @codeSystem='1.2.276.0.76.5.477')][not(@nullFlavor)]
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:code[(@code='05180' and @codeSystem='1.2.276.0.76.5.477')][not(@nullFlavor)]"
         id="d127e10095-false-d133209e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaborparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="@nullFlavor or (@code='05180' and @codeSystem='1.2.276.0.76.5.477' and @displayName='Klinische Chemie')">(LaborparameterOrganizer): Der Elementinhalt MUSS einer von 'code '05180' codeSystem '1.2.276.0.76.5.477' displayName='Klinische Chemie'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e10101-false-d133229e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaborparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="@nullFlavor or (@code='completed')">(LaborparameterOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:effectiveTime
Item: (LaborparameterOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:effectiveTime"
         id="d127e10106-false-d133249e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaborparameterOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4242
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]
Item: (LaborparameterOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="string(@typeCode)=('COMP')">(LaborparameterOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(LaborparameterOrganizer): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="string(@contextConductionInd)=('true')">(LaborparameterOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4242-2017-05-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(LaborparameterOrganizer): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
