<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.91
Name: Problem Concern Act Diagnosen
Description: Sammelkontainer für Abschlussdiagnosen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817">
   <title>Problem Concern Act Diagnosen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]
Item: (ProblemConcernActDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]
Item: (ProblemConcernActDiagnosen)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]"
         id="d127e12721-false-d146032e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="string(@classCode)=('ACT')">(ProblemConcernActDiagnosen): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ProblemConcernActDiagnosen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="string(@moodCode)=('EVN')">(ProblemConcernActDiagnosen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ProblemConcernActDiagnosen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91'])&gt;=1">(ProblemConcernActDiagnosen): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91'])&lt;=1">(ProblemConcernActDiagnosen): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:id)&gt;=1">(ProblemConcernActDiagnosen): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&gt;=1">(ProblemConcernActDiagnosen): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&lt;=1">(ProblemConcernActDiagnosen): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ProblemConcernActDiagnosen): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ProblemConcernActDiagnosen): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(ProblemConcernActDiagnosen): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(ProblemConcernActDiagnosen): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]])&gt;=1">(ProblemConcernActDiagnosen): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']
Item: (ProblemConcernActDiagnosen)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']"
         id="d127e12727-false-d146170e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.91')">(ProblemConcernActDiagnosen): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.91' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ProblemConcernActDiagnosen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:id
Item: (ProblemConcernActDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]
Item: (ProblemConcernActDiagnosen)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]"
         id="d127e12734-false-d146198e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(ProblemConcernActDiagnosen): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ProblemConcernActDiagnosen)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e12740-false-d146215e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDiagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="@nullFlavor or (@code='completed')">(ProblemConcernActDiagnosen): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (ProblemConcernActDiagnosen)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e12745-false-d146235e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:low[not(@nullFlavor)])&gt;=1">(ProblemConcernActDiagnosen): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:low[not(@nullFlavor)])&lt;=1">(ProblemConcernActDiagnosen): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:high)&lt;=1">(ProblemConcernActDiagnosen): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (ProblemConcernActDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (ProblemConcernActDiagnosen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author
Item: (ProblemConcernActDiagnosen)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author"
         id="d127e12752-false-d146291e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(ProblemConcernActDiagnosen): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(ProblemConcernActDiagnosen): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:functionCode)&lt;=1">(ProblemConcernActDiagnosen): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:time)&gt;=1">(ProblemConcernActDiagnosen): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:time)&lt;=1">(ProblemConcernActDiagnosen): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:assignedAuthor)&gt;=1">(ProblemConcernActDiagnosen): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="count(hl7:assignedAuthor)&lt;=1">(ProblemConcernActDiagnosen): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:functionCode
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:functionCode"
         id="d146302e33-false-d146348e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:time
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:time"
         id="d146302e38-false-d146373e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor"
         id="d146302e40-false-d146390e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d146302e44-false-d146456e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d146302e46-false-d146470e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d146302e51-false-d146490e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d146302e53-false-d146504e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d146302e56-false-d146520e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d146531e22-false-d146558e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d146302e61-false-d146574e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d146585e24-false-d146630e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d146585e29-false-d146644e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d146585e33-false-d146658e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d146585e37-false-d146672e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.91
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]
Item: (ProblemConcernActDiagnosen)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.91']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.90']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="string(@typeCode)=('SUBJ')">(ProblemConcernActDiagnosen): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.91-2017-05-29T155817.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(ProblemConcernActDiagnosen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
