<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.95
Name: Blutdruck diastolisch
Description: Diastolischer Blutdruck
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119">
   <title>Blutdruck diastolisch</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]"
         id="d127e12909-false-d147420e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']])&gt;=1">(BlutdruckDiastolisch): Element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']])&lt;=1">(BlutdruckDiastolisch): Element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]"
         id="d127e12937-false-d147444e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="string(@classCode)=('OBS')">(BlutdruckDiastolisch): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BlutdruckDiastolisch): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="string(@moodCode)=('EVN')">(BlutdruckDiastolisch): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(BlutdruckDiastolisch): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95'])&gt;=1">(BlutdruckDiastolisch): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95'])&lt;=1">(BlutdruckDiastolisch): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:id)&lt;=1">(BlutdruckDiastolisch): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:code[(@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(BlutdruckDiastolisch): Element hl7:code[(@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:code[(@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(BlutdruckDiastolisch): Element hl7:code[(@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(BlutdruckDiastolisch): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(BlutdruckDiastolisch): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:effectiveTime)&gt;=1">(BlutdruckDiastolisch): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:effectiveTime)&lt;=1">(BlutdruckDiastolisch): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(BlutdruckDiastolisch): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(BlutdruckDiastolisch): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']"
         id="d127e12943-false-d147537e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckDiastolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.95')">(BlutdruckDiastolisch): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.95' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(BlutdruckDiastolisch): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:id
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:id"
         id="d127e12948-false-d147558e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckDiastolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:code[(@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:code[(@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e12950-false-d147572e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckDiastolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="@nullFlavor or (@code='8462-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diastolic blood pressure' and @codeSystemName='LOINC')">(BlutdruckDiastolisch): Der Elementinhalt MUSS einer von 'code '8462-4' codeSystem '2.16.840.1.113883.6.1' displayName='Diastolic blood pressure' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e12956-false-d147592e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckDiastolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="@nullFlavor or (@code='completed')">(BlutdruckDiastolisch): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:effectiveTime
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:effectiveTime"
         id="d127e12961-false-d147612e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckDiastolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.95
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:value[not(@nullFlavor)]
Item: (BlutdruckDiastolisch)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.95']]/hl7:value[not(@nullFlavor)]"
         id="d127e12963-false-d147626e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BlutdruckDiastolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="(@nullFlavor or (@unit='mm[Hg]'))">(BlutdruckDiastolisch): value MUSS die Einheit 'mm[Hg]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="$digitok or @nullFlavor">(BlutdruckDiastolisch): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.95-2017-05-29T175119.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BlutdruckDiastolisch): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
